qpid::framing::DeliveryProperties Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Friends
qpid::framing::DeliveryProperties Class Reference

`#include <qpid/framing/DeliveryProperties.h>`

List of all members.

## Public Member Functions
| DeliveryProperties (bool _discardUnroutable, bool _immediate, bool _redelivered, uint8_t _priority, uint8_t _deliveryMode, uint64_t _ttl, uint64_t _timestamp, uint64_t _expiration, const std::string &_exchange, const std::string &_routingKey, const std::string &_resumeId, uint64_t _resumeTtl)
| DeliveryProperties ()
void | setDiscardUnroutable (bool _discardUnroutable)
bool | getDiscardUnroutable () const
void | setImmediate (bool _immediate)
bool | getImmediate () const
void | setRedelivered (bool _redelivered)
bool | getRedelivered () const
void | setPriority (uint8_t _priority)
uint8_t | getPriority () const
bool | hasPriority () const
void | clearPriorityFlag ()
void | setDeliveryMode (uint8_t _deliveryMode)
uint8_t | getDeliveryMode () const
bool | hasDeliveryMode () const
void | clearDeliveryModeFlag ()
void | setTtl (uint64_t _ttl)
uint64_t | getTtl () const
bool | hasTtl () const
void | clearTtlFlag ()
void | setTimestamp (uint64_t _timestamp)
uint64_t | getTimestamp () const
bool | hasTimestamp () const
void | clearTimestampFlag ()
void | setExpiration (uint64_t _expiration)
uint64_t | getExpiration () const
bool | hasExpiration () const
void | clearExpirationFlag ()
void | setExchange (const std::string &_exchange)
const std::string & | getExchange () const
bool | hasExchange () const
void | clearExchangeFlag ()
void | setRoutingKey (const std::string &_routingKey)
const std::string & | getRoutingKey () const
bool | hasRoutingKey () const
void | clearRoutingKeyFlag ()
void | setResumeId (const std::string &_resumeId)
const std::string & | getResumeId () const
bool | hasResumeId () const
void | clearResumeIdFlag ()
void | setResumeTtl (uint64_t _resumeTtl)
uint64_t | getResumeTtl () const
bool | hasResumeTtl () const
void | clearResumeTtlFlag ()
void | encode (Buffer &) const
void | decode (Buffer &, uint32_t=0)
void | encodeStructBody (Buffer &) const
void | decodeStructBody (Buffer &, uint32_t=0)
uint32_t | encodedSize () const
uint32_t | bodySize () const
void | print (std::ostream &out) const
## Static Public Attributes
static const uint16_t | TYPE = 1025
## Friends
std::ostream & | operator<< (std::ostream &, const DeliveryProperties &)

## Constructor & Destructor Documentation

qpid::framing::DeliveryProperties::DeliveryProperties | ( | bool | _discardUnroutable,
|  | bool | _immediate,
|  | bool | _redelivered,
|  | uint8_t | _priority,
|  | uint8_t | _deliveryMode,
|  | uint64_t | _ttl,
|  | uint64_t | _timestamp,
|  | uint64_t | _expiration,
|  | const std::string & | _exchange,
|  | const std::string & | _routingKey,
|  | const std::string & | _resumeId,
|  | uint64_t | _resumeTtl
| ) |  | `[inline]`

Definition at line 51 of file DeliveryProperties.h.

qpid::framing::DeliveryProperties::DeliveryProperties | ( |  | ) | `[inline]`

Definition at line 87 of file DeliveryProperties.h.

## Member Function Documentation

uint32_t qpid::framing::DeliveryProperties::bodySize | ( |  | ) | const

void qpid::framing::DeliveryProperties::clearDeliveryModeFlag | ( |  | ) |

void qpid::framing::DeliveryProperties::clearExchangeFlag | ( |  | ) |

void qpid::framing::DeliveryProperties::clearExpirationFlag | ( |  | ) |

void qpid::framing::DeliveryProperties::clearPriorityFlag | ( |  | ) |

void qpid::framing::DeliveryProperties::clearResumeIdFlag | ( |  | ) |

void qpid::framing::DeliveryProperties::clearResumeTtlFlag | ( |  | ) |

void qpid::framing::DeliveryProperties::clearRoutingKeyFlag | ( |  | ) |

void qpid::framing::DeliveryProperties::clearTimestampFlag | ( |  | ) |

void qpid::framing::DeliveryProperties::clearTtlFlag | ( |  | ) |

void qpid::framing::DeliveryProperties::decode | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::DeliveryProperties::decodeStructBody | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::DeliveryProperties::encode | ( | Buffer & |  | ) | const

uint32_t qpid::framing::DeliveryProperties::encodedSize | ( |  | ) | const

void qpid::framing::DeliveryProperties::encodeStructBody | ( | Buffer & |  | ) | const

uint8_t qpid::framing::DeliveryProperties::getDeliveryMode | ( |  | ) | const

bool qpid::framing::DeliveryProperties::getDiscardUnroutable | ( |  | ) | const

const std::string& qpid::framing::DeliveryProperties::getExchange | ( |  | ) | const

uint64_t qpid::framing::DeliveryProperties::getExpiration | ( |  | ) | const

bool qpid::framing::DeliveryProperties::getImmediate | ( |  | ) | const

uint8_t qpid::framing::DeliveryProperties::getPriority | ( |  | ) | const

bool qpid::framing::DeliveryProperties::getRedelivered | ( |  | ) | const

const std::string& qpid::framing::DeliveryProperties::getResumeId | ( |  | ) | const

uint64_t qpid::framing::DeliveryProperties::getResumeTtl | ( |  | ) | const

const std::string& qpid::framing::DeliveryProperties::getRoutingKey | ( |  | ) | const

uint64_t qpid::framing::DeliveryProperties::getTimestamp | ( |  | ) | const

uint64_t qpid::framing::DeliveryProperties::getTtl | ( |  | ) | const

bool qpid::framing::DeliveryProperties::hasDeliveryMode | ( |  | ) | const

bool qpid::framing::DeliveryProperties::hasExchange | ( |  | ) | const

bool qpid::framing::DeliveryProperties::hasExpiration | ( |  | ) | const

bool qpid::framing::DeliveryProperties::hasPriority | ( |  | ) | const

bool qpid::framing::DeliveryProperties::hasResumeId | ( |  | ) | const

bool qpid::framing::DeliveryProperties::hasResumeTtl | ( |  | ) | const

bool qpid::framing::DeliveryProperties::hasRoutingKey | ( |  | ) | const

bool qpid::framing::DeliveryProperties::hasTimestamp | ( |  | ) | const

bool qpid::framing::DeliveryProperties::hasTtl | ( |  | ) | const

void qpid::framing::DeliveryProperties::print | ( | std::ostream & | out | ) | const

void qpid::framing::DeliveryProperties::setDeliveryMode | ( | uint8_t | _deliveryMode | ) |

void qpid::framing::DeliveryProperties::setDiscardUnroutable | ( | bool | _discardUnroutable | ) |

void qpid::framing::DeliveryProperties::setExchange | ( | const std::string & | _exchange | ) |

void qpid::framing::DeliveryProperties::setExpiration | ( | uint64_t | _expiration | ) |

void qpid::framing::DeliveryProperties::setImmediate | ( | bool | _immediate | ) |

void qpid::framing::DeliveryProperties::setPriority | ( | uint8_t | _priority | ) |

void qpid::framing::DeliveryProperties::setRedelivered | ( | bool | _redelivered | ) |

void qpid::framing::DeliveryProperties::setResumeId | ( | const std::string & | _resumeId | ) |

void qpid::framing::DeliveryProperties::setResumeTtl | ( | uint64_t | _resumeTtl | ) |

void qpid::framing::DeliveryProperties::setRoutingKey | ( | const std::string & | _routingKey | ) |

void qpid::framing::DeliveryProperties::setTimestamp | ( | uint64_t | _timestamp | ) |

void qpid::framing::DeliveryProperties::setTtl | ( | uint64_t | _ttl | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const DeliveryProperties & |
| ) |  | `[friend]`

## Member Data Documentation

const uint16_t qpid::framing::DeliveryProperties::TYPE = 1025`[static]`

Definition at line 50 of file DeliveryProperties.h.

The documentation for this class was generated from the following file:

- qpid/framing/DeliveryProperties.h